Bug 1303207 - xdg-email without email client makes firefox go nuts on mailto link [NEEDINFO]
xdg-email without email client makes firefox go nuts on mailto link
Product: Fedora
Classification: Fedora
Component: xdg-utils (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2016-01-29 15:28 EST by Patrick Uiterwijk
Modified: 2016-12-20 13:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-12-20 13:18:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: needinfo? (puiterwijk)

Attachments (Terms of Use)

  None (edit)
Description Patrick Uiterwijk 2016-01-29 15:28:20 EST
Description of problem:
When having xdg-utils and firefox installed, but no email clients, gets the system into a look when a mailto link is clicked.
Firefox sees an email link and starts xdg-email to handle it, and xdg-email cannot find an email client and starts the first browser it finds (firefox), which opens the mailto link in a new tab, which kicks off xdg-email, etc.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install firefox and xdg-email, make sure no email clients are installed.
2. Click on a mailto link or run xdg-email

Actual results:
Firefox gets into a loop and opens an infinite number of tabs.

Expected results:
Nothing happens, or an error gets thrown. Either would be reasonable.
Comment 1 Rex Dieter 2016-01-30 10:27:17 EST
Fun.  We added checks in xdg-open to prevent similar recursion in the past, probably ought to do the same here in xdg-email.
Comment 2 Rex Dieter 2016-04-15 11:57:14 EDT
While I'm looking into this, would be worth looking into why firefox is trying to use xdg-email (it probably shouldn't).  Ah, I found old bug #643425 on that topic (which I imo semi-foolishly agreed to at the time), but it's not clear if it was implemented or not.

In particular, doing *both* of these is obviously bad:
1. xdg-email fallback to launching browser to handle mailto:
2. firefox fallback to running xdg-email to handle it

What does this say for you?
firefox menu => preferences => applications => mailto content type?
Comment 3 Fedora End Of Life 2016-11-24 10:16:34 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 13:18:04 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.